Subject: Re: NAND partition names in DTS must be named "partition"?

From: Scott Wood <[email-masked]>
Date: Mon, 21 Sep 2009 18:05:01 -0500

Anton Vorontsov wrote:
> On Mon, Sep 21, 2009 at 05:36:25PM -0500, Scott Wood wrote:
>> Matthew L. Creech wrote:
>>> I upgraded from 2.6.29 to 2.6.31, and the kernel no longer recognized
>>> the partitions embedded within my DTS file.  I had to revert this
>>> change:
>>>
>>> http://git.kernel.org/?p=linux/kernel/git/torvalds/linux-2.6.git;a=commit;h=4b08e149c0e02e97ec49c2a31d14a0d3a02f8074
>>>
>>> in order to boot.  This code looks like it expects all partitions to
>>> be named "partition", otherwise they're just skipped.  Is there some
>>> peculiarity in my setup that makes this not work, or is it a general
>>> problem?  I see no major differences between my DTS file and the
>>> stardard "mpc8313erdb.dts".
>> It looks like mpc8313erdb.dts needs to be updated.
> 
> I don't think so, it's just 2.6.31 has a regression that should
> be fixed by "MTD ofpart: Check availability of reg property instead
> of name property":
> 
> http://patchwork.ozlabs.org/patch/32039/

OK, that works too. :-)

I wonder what the non-partition node is that we're needing to avoid...

-Scott